Subject: bug#66750: Unhelpful text in C-h v for variables with a lambda form as value

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Nov 2023 08:13:30 +0200

> Cc: [email-masked], Andrea Corallo <[email-masked]>,
>  Stefan Kangas <[email-masked]>
> Date: Wed, 01 Nov 2023 18:46:24 -0400
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> >> Before catering to the same use-cases as early-debug, we should cater to
> >> the use cases of the average user/developer who's never getting close to
> >> the bootstrap.
> > I disagree.  I don't understand why you want to split off (some of) "the
> > use cases of the average user" and only handle those cases.
> 
> I don't.  Instead I'm saying we should first and foremost design the
> functionality for the most common case.  And *then* see what it takes
> to extend it to other cases.

Agreed.

Alan, we are in the engineering business, where designing for the most
common case, before adjusting the design in small ways for less common
cases, is one of the important principles.

> > My intention is to handle _ALL_ cases, and you find this objectionable
> > for some reason.
> 
> Because your focus on the fringe cases has negative impacts on the
> more common case.

And this is the usual outcome of trying to solve _ALL_ cases from the
get-go, by focusing on the fringe ones.  Premature optimization and
all that.

Alan, I'd appreciate if you rethink your approach to the
implementation with the above principles in mind.